Bug 467180 - Review Request: pngnq - tool for quantizing PNG images in RGBA format Version
Review Request: pngnq - tool for quantizing PNG images in RGBA format Version
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
: 513619 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-10-16 04:48 EDT by Gerd Hoffmann
Modified: 2009-07-24 10:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-06 06:34:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)
License text (3.88 KB, text/plain)
2008-10-16 04:51 EDT, Gerd Hoffmann
no flags Details

  None (edit)
Description Gerd Hoffmann 2008-10-16 04:48:45 EDT
Spec URL: http://kraxel.fedorapeople.org/osm/pngnq/pngnq.spec
SRPM URL: http://kraxel.fedorapeople.org/osm/pngnq/pngnq-0.5-2.fc9.src.rpm
Pngnq is a tool for quantizing PNG images in RGBA format.

The neuquant algorithm uses a neural network to optimise the color
map selection. This is fast and quite accurate, giving good results
on many types of images.

Note: used by openstreetmap.org map rendering software.
Comment 1 Gerd Hoffmann 2008-10-16 04:51:21 EDT
Created attachment 320530 [details]
License text

Dunno how to categorize this license, to me it looks like based on zlib and mixed in something bsd-ish.  Suggestions?
Comment 2 Orcan Ogetbil 2008-10-30 20:16:25 EDT
Yes it is a mixture of both. Most probably, since both are "good" licenses this package can go with Fedora.

To make sure and to ask about naming the license, please send an email to the Fedora Legal mailing list.
Comment 3 Orcan Ogetbil 2008-10-31 03:04:57 EDT
Other than the license issue a few other things need to be sorted out:

* Although it is an almost obsolete field I think the Group should be Applications/Multimedia

? You can do a
   make all
to build pngcomp in addition to pngnq and then package it together :)
(Don't forget to include the other README file if you do this)

* We recommend %defattr(-,root,root,-)

* It would be nice if you briefly explain in the SPEC file what the patches do. Did you submit them upstream (especially the getopt patch)? If so, please provide the links (in the SPEC file) to their tracking system.

* Package does not honor Fedora specific compilation flags. Please see:

Also, let's keep FE-Legal blocked until the license issue is solved.
Comment 4 Gerd Hoffmann 2008-10-31 07:17:00 EDT
Uploaded new package release to the same location.
Wrote email to fedora-legal.
Comment 5 Tom "spot" Callaway 2008-10-31 09:20:43 EDT
Three licenses in play here (in order)

BSD with advertising

So, License: BSD with advertising and MIT and BSD

Lifting FE-Legal.
Comment 6 Gerd Hoffmann 2008-10-31 11:14:16 EDT
New package with updated License: tag uploaded.
Comment 7 Orcan Ogetbil 2008-10-31 14:12:17 EDT
* Make use of the %{version} macro for future convenience, e.g.
   %setup -q -n %{version}

* Any information about the patches?

* In your SPEC file notation I think it would be better to use %{optflags} instead of ${RPM_OPT_FLAGS} .

* Please provide the links to the new SPEC and SRPM on every update, so things don't get mixed up.
Comment 8 Gerd Hoffmann 2008-11-03 06:26:05 EST
Revision #5 uploaded:

Added patch comments, fixed up macro usage.
Comment 9 Orcan Ogetbil 2008-11-04 03:42:02 EST
Thank you.

This package (pngnq) is approved by oget
Comment 10 Gerd Hoffmann 2008-11-04 07:48:12 EST
New Package CVS Request
Package Name: pngnq
Short Description: tool for quantizing PNG images in RGBA format
Owners: kraxel
Branches: F-9
Comment 11 Kevin Fenzi 2008-11-05 17:43:06 EST
cvs done.
Comment 12 Gerd Hoffmann 2008-11-06 06:34:24 EST
committed & built now.
Comment 13 Susi Lehtola 2009-07-24 10:51:43 EDT
*** Bug 513619 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.